package Package;

public class Token {

    public enum Token_Type {
        sahih, ashar, agar, chap, begir, id, plus, intNumber, floatNumber, minus,
        leftParentheses, rightParentheses, semicolon, leftAccolade, rightAccolade,
        divide, lineComment, multiLineComment, String, multiple, equal,
        equalTwice, less, lessEqual, more , moreEqual, notEqual, $, err
    }

    public enum ID_Type { sahih, ashar, none}

    private String name;
    private int blkNum;
    private int blkOrder;
    private Token_Type type;
    private ID_Type id_type;


    public Token(String name, int blkNum, int blkOrder, Token_Type type, ID_Type id_type){
        this.name = name;
        this.blkNum = blkNum;
        this.blkOrder = blkOrder;
        this.type = type;
        this.id_type = id_type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getBlkNum() {
        return blkNum;
    }

    public void setBlkNum(int blkNum) {
        this.blkNum = blkNum;
    }

    public int getBlkOrder() {
        return blkOrder;
    }

    public void setBlkOrder(int blkOrder) {
        this.blkOrder = blkOrder;
    }

    public Token_Type getType() {
        return type;
    }

    public void setType(Token_Type type) {
        this.type = type;
    }

    public ID_Type getId_type() {
        return id_type;
    }

    public void setId_type(ID_Type id_type) {
        this.id_type = id_type;
    }
}
